#######################################################################
# CONFIGURATION SECTION - Change the parameters to match your machine #
#                         and installation                            #
#######################################################################
# Where the Esterel compiler lives.

ESTEREL_DIR= ..

# esterel compiler

ESTEREL_COMMAND = "$(ESTEREL_DIR)"/bin/esterel

# esterel compiling flags

ESTEREL_FLAGS = 
ESTEREL_FLAGS_FOR_SIMUL = -I

# where to find simulator libraries (normally, change only ESTEREL_LIB)

ESTEREL_LIB = "$(ESTEREL_DIR)"/lib

CSIMUL_A    = "`cygpath -w '$(ESTEREL_DIR)'/lib/libcsimul.a`"

XES         = "$(ESTEREL_DIR)"/bin/xes

#########################
# DO NOT CHANGE FROM HERE
#########################

MAKEFILE    = Makefile.cygwin

MV          = mv
RM	    = rm -f
IFEXIST     = test -f
IFNOTEXIST  = test ! -f
THEN        = &&

CC          = cl.exe
CC_CFLAGS   = /nologo /ML /D "WIN32" /D "NDEBUG" -Fo$@
LINKER      = link.exe
LINKER_FLAGS= /nologo /subsystem:console /incremental:no /out:$@ \
	      kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
              advapi32.lib shell32.lib msvcrt.lib /nodefaultlib:libc.lib


TK_CFLAGS   = -D_X86_=1 -DWIN32 -D_WIN32 -D_MT -D_DLL -DUSE_TCLALLOC=0 -D_WINDOW

PATHSEP     = /
OBJ         = .obj
EXE         = .exe

include Makefile.all

clientserver: xwwrt.exe tkww.exe
	$(XES) xwwrt.exe -server watch.esp &
	sleep 4; $(XES) tkww.exe -client:watch.esp
